Re: SM 9.32 Server is not starting after upgrading from 9.30: Unsupported Java version: 1.7.0_15 (1256 Views)
Reply
Honored Contributor
VVV_3
Posts: 583
Registered: ‎08-01-2008
Message 1 of 5 (1,313 Views)
Accepted Solution

SM 9.32 Server is not starting after upgrading from 9.30: Unsupported Java version: 1.7.0_15

Hello,

 

before upgrading I had:

- SM 9.30 Server

- SM 9.30 Client

- JDK 1.6.0_45

 

I've downloaded HPSM_00450.zip from HP site, unpacked it and copy all files from ..\sm9.32.0016_Windows_Server folder into C:\Program Files (x86)\HP\Service Manager 9.30\Server

- run SM service - failed

- in sm.log there are errors:

 

5276( 5268) 09/04/2013 19:48:45 RTE E Unsupported Java version: 1.7.0_15
5276( 5268) 09/04/2013 19:48:45 RTE E Please install or setup Java 7 correctly!
5276( 5268) 09/04/2013 19:48:45 RTE E HP Service Manager is unable to start. Failed to initialize or attach to shared memory environment
5276( 5268) 09/04/2013 19:48:45 RTE E Failed Initializing Java.

 

But as I wrote above, I have JDK 1.6.0_45.

 

Installing jdk1.7.0_25 doesn't help - the same errors...

Does anybody upgraded to 9.32?

 

HP Expert
Amen16
Posts: 221
Registered: ‎11-01-2011
Message 2 of 5 (1,299 Views)

Re: SM 9.32 Server is not starting after upgrading from 9.30: Unsupported Java version: 1.7.0_15

Hello,

 

Please take a look at the following document:

 

http://support.openview.hp.com/selfsolve/document/KM00510796

 

Regards,

Alex

HP Support

If you find that this or any post resolves your issue, please be sure to mark it as an accepted solution.
Honored Contributor
VVV_3
Posts: 583
Registered: ‎08-01-2008
Message 3 of 5 (1,280 Views)

Re: SM 9.32 Server is not starting after upgrading from 9.30: Unsupported Java version: 1.7.0_15

I think that solution from mentioned above HP doc published here will be good:

Customer resolution
This issue is caused by incorrect usage of the product.
Please follow the steps in page 77 of 9.31 Relese notes to install RTE patch
Workaround
To workaround this issue, delete the following files from the /lib and /tomcat folders before you extract the binary patch data into the server.

The specific files in the /lib folder to delete are as follows:

appserver-9.30.war
common-9.30.jar
dao-9.30.jar
daoobjects-9.30.jar
embedded-9.30.jar
kmplugin-9.30.jar
mbeanclient-9.30.war
mbeans-9.30.jar
scautoserver-9.30.jar
utility-9.30.jar

lwssoImpl-02.41.000.jar
lwssoUtils-02.41.000.jar
securityContext-02.41.000.jar

this solution is here:
http://support.openview.hp.com/selfsolve/document/KM00325646
Honored Contributor
VVV_3
Posts: 583
Registered: ‎08-01-2008
Message 4 of 5 (1,279 Views)

Re: SM 9.32 Server is not starting after upgrading from 9.30: Unsupported Java version: 1.7.0_15

Alex, thanks for so quick and perfect solution!
HP Expert
Amen16
Posts: 221
Registered: ‎11-01-2011
Message 5 of 5 (1,256 Views)

Re: SM 9.32 Server is not starting after upgrading from 9.30: Unsupported Java version: 1.7.0_15

You are welcome!

HP Support

If you find that this or any post resolves your issue, please be sure to mark it as an accepted solution.
The opinions expressed above are the personal opinions of the authors, not of HP. By using this site, you accept the Terms of Use and Rules of Participation.